# Interface DHPublicKey

All Superinterfaces:
  `AsymmetricKey, DEREncodablePREVIEW, DHKey, Key, PublicKey, Serializable`

public interface DHPublicKey extends DHKey, PublicKey
The interface to a Diffie-Hellman public key.

Since:
  1.4
See Also:
  - `DHKey`
  - `DHPrivateKey`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`
  Deprecated.
  A `serialVersionUID` field in an interface is ineffectual.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default DHParameterSpec`
  `getParams()`
  Returns the parameters associated with this key.
  `BigInteger`
  `getY()`
  Returns the public value, `y`.

  ### Methods declared in interface Key

  `getAlgorithm, getEncoded, getFormat`

- ## Field Details

  - ### serialVersionUID

    @Deprecated static final long serialVersionUID
    Deprecated.
    A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
    The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getY

    BigInteger getY()
    Returns the public value, `y`.
    Returns:
      the public value, `y`

  - ### getParams

    default DHParameterSpec getParams()
    Returns the parameters associated with this key. The parameters are optional and may be either explicitly specified or implicitly created during key pair generation.
    Specified by:
      `getParams` in interface `AsymmetricKey`
    Specified by:
      `getParams` in interface `DHKey`
    Implementation Requirements:
      The default implementation returns `null`.
    Returns:
      the associated parameters, may be `null`